Python
import requests
webhook_id = "your-webhook-id"
response = requests.get(
f"https://api.roe-ai.com/webhooks/{webhook_id}/",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
webhook = response.json()
print(f"Webhook: {webhook['name']} -> {webhook['url']}")const webhookId = "your-webhook-id";
const response = await fetch(
`https://api.roe-ai.com/webhooks/${webhookId}/`,
{ headers: { "Authorization": "Bearer YOUR_API_KEY" } }
);
const webhook = await response.json();
console.log(webhook);
curl -X GET "https://api.roe-ai.com/webhooks/YOUR_WEBHOOK_ID/" \
-H "Authorization: Bearer YOUR_API_KEY"
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roe-ai.com/webhooks/{webhook_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"alerts": [
"<string>"
],
"failure_count": 123,
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"secret": "<string>",
"headers": {},
"events": [
"<string>"
],
"is_active": true,
"last_triggered_at": "2023-11-07T05:31:56Z",
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z"
}Webhooks
Retrieve Webhook
Mixin for organization access validation.
Automatically resolves and validates organization access on every request,
making the organization available as self.organization.
For API key auth: organization is derived from the key (no org_id param needed).
For user auth: organization_id must be provided in the request
(kwargs / headers / body / query params).
Usage:
class MyView(BaseOrganizationAccessMixin, APIView):
def get(self, request):
# self.organization is automatically available
return Response({"org": self.organization.name})
GET
/
webhooks
/
{webhook_id}
/
Python
import requests
webhook_id = "your-webhook-id"
response = requests.get(
f"https://api.roe-ai.com/webhooks/{webhook_id}/",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
webhook = response.json()
print(f"Webhook: {webhook['name']} -> {webhook['url']}")const webhookId = "your-webhook-id";
const response = await fetch(
`https://api.roe-ai.com/webhooks/${webhookId}/`,
{ headers: { "Authorization": "Bearer YOUR_API_KEY" } }
);
const webhook = await response.json();
console.log(webhook);
curl -X GET "https://api.roe-ai.com/webhooks/YOUR_WEBHOOK_ID/" \
-H "Authorization: Bearer YOUR_API_KEY"
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roe-ai.com/webhooks/{webhook_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"alerts": [
"<string>"
],
"failure_count": 123,
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"secret": "<string>",
"headers": {},
"events": [
"<string>"
],
"is_active": true,
"last_triggered_at": "2023-11-07T05:31:56Z",
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.
Response
200 - application/json
Serializer for Webhook model
User-friendly name for this webhook
Maximum string length:
255Webhook endpoint URL
Maximum string length:
500Alert IDs
Number of consecutive failures
Maximum string length:
255Custom headers to include in webhook requests (key-value pairs)
Show child attributes
Show child attributes
List of events to trigger this webhook (e.g., ['triggered'])